
QGIS Application - Bug report #11432

Processing: Slope, aspect, curvature module not working

2014-10-17 10:41 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19708

Description

Apparently another option has changed (CURV).

Algorithm Slope, aspect, curvature starting...

io_gdal 0 -TRANSFORM -INTERPOL 0 -GRIDS "/tmp/processing/f10155b12c334c9695d5009b35dc2263/Outputlayer.sgrd"

-FILES "/tmp/processing/2381c6817bde4c15b1fe7201d27ac064/OUTPUT.tif" 

ta_morphometry "Slope, Aspect, Curvature" -ELEVATION

"/tmp/processing/f10155b12c334c9695d5009b35dc2263/Outputlayer.sgrd" -METHOD 5 -SLOPE

"/tmp/processing/f2731ae1f64b421f9148c0066bc14376/SLOPE.tif.sgrd" -ASPECT

"/tmp/processing/4aaf79a0da7343be82ec650d28705780/ASPECT.tif.sgrd" -CURV

"/tmp/processing/34e47804df91402381f760822e765e55/CURV.tif.sgrd" -HCURV

"/tmp/processing/873c44fe992e4d3fbd6a480a7e4cd260/HCURV.tif.sgrd" -VCURV

"/tmp/processing/4541793233fa4682855931f7edcfb6ad/VCURV.tif.sgrd" 

io_gdal 1 -GRIDS "/tmp/processing/f2731ae1f64b421f9148c0066bc14376/SLOPE.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/f2731ae1f64b421f9148c0066bc14376/SLOPE.tif" 

io_gdal 1 -GRIDS "/tmp/processing/4aaf79a0da7343be82ec650d28705780/ASPECT.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/4aaf79a0da7343be82ec650d28705780/ASPECT.tif" 

io_gdal 1 -GRIDS "/tmp/processing/34e47804df91402381f760822e765e55/CURV.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/34e47804df91402381f760822e765e55/CURV.tif" 

io_gdal 1 -GRIDS "/tmp/processing/873c44fe992e4d3fbd6a480a7e4cd260/HCURV.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/873c44fe992e4d3fbd6a480a7e4cd260/HCURV.tif" 

io_gdal 1 -GRIDS "/tmp/processing/4541793233fa4682855931f7edcfb6ad/VCURV.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/4541793233fa4682855931f7edcfb6ad/VCURV.tif" 

_____________________________________________

##### ## ##### ##

### ### ## ###

### # ## ## #### # ##

### ##### ## # #####

##### # ## ##### # ##

_____________________________________________

_____________________________________________

library path: /usr/lib/x86_64-linux-gnu/saga/libio_gdal.so

library name: Import/Export - GDAL/OGR

tool name : GDAL: Import Raster

author : O.Conrad (c) 2007 (A.Ringeler)

_____________________________________________

Parameters
Grids: No objects

Files: "/tmp/processing/2381c6817bde4c15b1fe7201d27ac064/OUTPUT.tif" 

Transformation: yes

Interpolation: Nearest Neighbor

loading: /tmp/processing/2381c6817bde4c15b1fe7201d27ac064/OUTPUT.tif

Driver: GTiff

Bands: 1

Rows: 193

Columns: 250

Transformation:

x' = -13710365.970670 + x * 365.638934 + y * 0.000000

y' = 5258230.728889 + x * 0.000000 + y * -365.638934

loading band [1/1]

Unknown option 'CURV'

_____________________________________________

##### ## ##### ##

### ### ## ###

### # ## ## #### # ##

### ##### ## # #####

##### # ## ##### # ##

_____________________________________________

_____________________________________________

library path: /usr/lib/x86_64-linux-gnu/saga/libta_morphometry.so

library name: Terrain Analysis - Morphometry

tool name : Slope, Aspect, Curvature

author : O.Conrad (c) 2001

_____________________________________________

Usage: saga_cmd ta_morphometry 0 -ELEVATION [-SLOPE ] [-ASPECT ] [-C_GENE ] [-C_PROF ] [-C_PLAN ] [-C_TANG ]

[-C_LONG ] [-C_CROS ] [-C_MINI ] [-C_MAXI ] [-C_TOTA ] [-C_ROTO ] [-METHOD ] [-UNIT_SLOPE ] [-UNIT_ASPECT ]

-ELEVATION: Elevation

Grid (input)

-SLOPE: Slope

Grid (output)

-ASPECT: Aspect

Grid (output)

-C_GENE: General Curvature

Grid (optional output)

-C_PROF: Profile Curvature

Grid (optional output)
-C_PLAN: Plan Curvature

Grid (optional output)

-C_TANG: Tangential Curvature

Grid (optional output)

-C_LONG: Longitudinal Curvature

Grid (optional output)

-C_CROS: Cross-Sectional Curvature

Grid (optional output)

-C_MINI: Minimal Curvature

Grid (optional output)

-C_MAXI: Maximal Curvature

Grid (optional output)

-C_TOTA: Total Curvature

Grid (optional output)

-C_ROTO: Flow Line Curvature

Grid (optional output)

-METHOD: Method

Choice

Available Choices:

[0] maximum slope (Travis et al. 1975)

[1] maximum triangle slope (Tarboton 1997)

[2] least squares fitted plane (Horn 1981, Costa-Cabral & Burgess 1996)

[3] 6 parameter 2nd order polynom (Evans 1979)

[4] 6 parameter 2nd order polynom (Heerdegen & Beran 1982)

[5] 6 parameter 2nd order polynom (Bauer, Rohdenburg, Bork 1985)

[6] 9 parameter 2nd order polynom (Zevenbergen & Thorne 1987)

[7] 10 parameter 3rd order polynom (Haralick 1983)

Default: 6

-UNIT_SLOPE: Slope Units

Choice

Available Choices:

[0] radians

[1] degree

[2] percent

Default: 0

-UNIT_ASPECT: Aspect Units

Choice

Available Choices:

[0] radians

[1] degree

Default: 0

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

_____________________________________________

##### ## ##### ##

### ### ## ###

### # ## ## #### # ##

### ##### ## # #####

##### # ## ##### # ##

_____________________________________________

_____________________________________________
library path: /usr/lib/x86_64-linux-gnu/saga/libio_gdal.so

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________________

Load grid: /tmp/processing/f2731ae1f64b421f9148c0066bc14376/SLOPE.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

_____________________________________________

##### ## ##### ##

### ### ## ###

### # ## ## #### # ##

### ##### ## # #####

##### # ## ##### # ##

_____________________________________________

_____________________________________________

library path: /usr/lib/x86_64-linux-gnu/saga/libio_gdal.so

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________________

Load grid: /tmp/processing/4aaf79a0da7343be82ec650d28705780/ASPECT.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

_____________________________________________

##### ## ##### ##

### ### ## ###

### # ## ## #### # ##

### ##### ## # #####

##### # ## ##### # ##

_____________________________________________

_____________________________________________

library path: /usr/lib/x86_64-linux-gnu/saga/libio_gdal.so

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________________

Load grid: /tmp/processing/34e47804df91402381f760822e765e55/CURV.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]
_____________________________________________

##### ## ##### ##

### ### ## ###

### # ## ## #### # ##

### ##### ## # #####

##### # ## ##### # ##

_____________________________________________

_____________________________________________

library path: /usr/lib/x86_64-linux-gnu/saga/libio_gdal.so

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________________

Load grid: /tmp/processing/873c44fe992e4d3fbd6a480a7e4cd260/HCURV.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

_____________________________________________

##### ## ##### ##

### ### ## ###

### # ## ## #### # ##

### ##### ## # #####

##### # ## ##### # ##

_____________________________________________

_____________________________________________

library path: /usr/lib/x86_64-linux-gnu/saga/libio_gdal.so

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________________

Load grid: /tmp/processing/4541793233fa4682855931f7edcfb6ad/VCURV.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Output di conversione

Caricamento layer

Algorithm Slope, aspect, curvature finished

History

#1 - 2014-10-19 12:02 AM - Paolo Cavallini

- Status changed from Open to Feedback

Presumably fixed by commit:2fe69e6eb29e6d02fb4dea72c9b6b1d2d608d8fa (to be tested on next nightly)

Thanks Giovanni
#2 - 2014-10-19 01:17 AM - Giovanni Manghi

my "two cents":#2fe69e6eb29e6d02fb4dea72c9b6b1d2d608d8fa#commitcomment-8214324

#3 - 2014-10-20 04:58 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#4 - 2015-03-14 05:51 PM - stefano campus

- Status changed from Closed to Reopened

hi, it seems that same error exists in QGIS 2.8.1 intsalled via osgeo4w

Algorithm Slope, aspect, curvature starting...

ta_morphometry "Slope, Aspect, Curvature" -ELEVATION

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\d4b4157af15242d58e0a2aa355ad0339\\DTMclip.sgrd" -METHOD 5 -SLOPE

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\02c6d041f30e4e19bfc377eea1a7feb0\\SLOPE.tif.sgrd" -ASPECT

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\803de9bfab354f96b12953f544f5bffd\\ASPECT.tif.sgrd" -CURV

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\fcb8ea25d228494c978b097161a6676b\\CURV.tif.sgrd" -HCURV

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3cb48575f34a4181b732f5465d423758\\HCURV.tif.sgrd" -VCURV

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3859bb38edd946879b287f537a14f6bd\\VCURV.tif.sgrd" 

io_gdal 1 -GRIDS "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\02c6d041f30e4e19bfc377eea1a7feb0\\SLOPE.tif.sgrd" -FORMAT 4 -TYPE

0 -FILE "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\02c6d041f30e4e19bfc377eea1a7feb0\\SLOPE.tif" 

io_gdal 1 -GRIDS "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\803de9bfab354f96b12953f544f5bffd\\ASPECT.tif.sgrd" -FORMAT 4 -TYPE

0 -FILE "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\803de9bfab354f96b12953f544f5bffd\\ASPECT.tif" 

io_gdal 1 -GRIDS "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\fcb8ea25d228494c978b097161a6676b\\CURV.tif.sgrd" -FORMAT 4 -TYPE

0 -FILE "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\fcb8ea25d228494c978b097161a6676b\\CURV.tif" 

io_gdal 1 -GRIDS "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3cb48575f34a4181b732f5465d423758\\HCURV.tif.sgrd" -FORMAT 4 -TYPE

0 -FILE "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3cb48575f34a4181b732f5465d423758\\HCURV.tif" 

io_gdal 1 -GRIDS "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3859bb38edd946879b287f537a14f6bd\\VCURV.tif.sgrd" -FORMAT 4 -TYPE

0 -FILE "C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3859bb38edd946879b287f537a14f6bd\\VCURV.tif"

C:\\OSGeo4W\\bin>set SAGA=C:\\OSGeo4W\\apps\\saga

C:\\OSGeo4W\\bin>set SAGA_MLB=C:\\OSGeo4W\\apps\\saga\\modules

C:\\OSGeo4W\\bin>PATH=PATH;C:\\OSGeo4W\\apps\\saga;C:\\OSGeo4W\\apps\\saga\\modules

C:\\OSGeo4W\\bin>saga_cmd ta_morphometry "Slope, Aspect, Curvature" -ELEVATION

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\d4b4157af15242d58e0a2aa355ad0339\\DTMclip.sgrd" -METHOD 5 -SLOPE

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\02c6d041f30e4e19bfc377eea1a7feb0\\SLOPE.tif.sgrd" -ASPECT

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\803de9bfab354f96b12953f544f5bffd\\ASPECT.tif.sgrd" -CURV

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\fcb8ea25d228494c978b097161a6676b\\CURV.tif.sgrd" -HCURV

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3cb48575f34a4181b732f5465d423758\\HCURV.tif.sgrd" -VCURV

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3859bb38edd946879b287f537a14f6bd\\VCURV.tif.sgrd" 

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.
Unknown option 'CURV'

_____________________________________

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

_____________________________________

_____________________________________

library path: C:\\OSGeo4W\\apps\\saga\\modules\\ta_morphometry.dll

library name: Terrain Analysis - Morphometry

tool name : Slope, Aspect, Curvature

author : O.Conrad (c) 2001

_____________________________________

Usage: saga_cmd ta_morphometry 0 -ELEVATION [-SLOPE ] [-ASPECT ] [-C_GENE ] [-C_PROF ] [-C_PLAN ] [-C_TANG ] [-C_LONG ] [-C_CROS ]

[-C_MINI ] [-C_MAXI ] [-C_TOTA ] [-C_ROTO ] [-METHOD ] [-UNIT_SLOPE ] [-UNIT_ASPECT ]

-ELEVATION: Elevation

Grid (input)

-SLOPE: Slope

Grid (output)

-ASPECT: Aspect

Grid (output)

-C_GENE: General Curvature

Grid (optional output)

-C_PROF: Profile Curvature

Grid (optional output)

-C_PLAN: Plan Curvature

Grid (optional output)

-C_TANG: Tangential Curvature

Grid (optional output)

-C_LONG: Longitudinal Curvature

Grid (optional output)

-C_CROS: Cross-Sectional Curvature

Grid (optional output)

-C_MINI: Minimal Curvature

Grid (optional output)

-C_MAXI: Maximal Curvature

Grid (optional output)

-C_TOTA: Total Curvature

Grid (optional output)

-C_ROTO: Flow Line Curvature

Grid (optional output)

-METHOD: Method

Choice

Available Choices:

[0] maximum slope (Travis et al. 1975)

[1] maximum triangle slope (Tarboton 1997)

[2] least squares fitted plane (Horn 1981, Costa-Cabral & Burgess 1996)

[3] 6 parameter 2nd order polynom (Evans 1979)
[4] 6 parameter 2nd order polynom (Heerdegen & Beran 1982)

[5] 6 parameter 2nd order polynom (Bauer, Rohdenburg, Bork 1985)

[6] 9 parameter 2nd order polynom (Zevenbergen & Thorne 1987)

[7] 10 parameter 3rd order polynom (Haralick 1983)

Default: 6

-UNIT_SLOPE: Slope Units

Choice

Available Choices:

[0] radians

[1] degree

[2] percent

Default: 0

-UNIT_ASPECT: Aspect Units

Choice

Available Choices:

[0] radians

[1] degree

Default: 0

Error: executing tool [Slope, Aspect, Curvature]

C:\\OSGeo4W\\bin>saga_cmd io_gdal 1 -GRIDS

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\02c6d041f30e4e19bfc377eea1a7feb0\\SLOPE.tif.sgrd" -FORMAT 4 -TYPE 0 -FILE

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\02c6d041f30e4e19bfc377eea1a7feb0\\SLOPE.tif" 

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

_____________________________________

_____________________________________

library path: C:\\OSGeo4W\\apps\\saga\\modules\\io_gdal.dll

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________

Load grid: C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\02c6d041f30e4e19bfc377eea1a7feb0\\SLOPE.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

C:\\OSGeo4W\\bin>saga_cmd io_gdal 1 -GRIDS

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\803de9bfab354f96b12953f544f5bffd\\ASPECT.tif.sgrd" -FORMAT 4 -TYPE 0 -FILE
"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\803de9bfab354f96b12953f544f5bffd\\ASPECT.tif" 

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

_____________________________________

_____________________________________

library path: C:\\OSGeo4W\\apps\\saga\\modules\\io_gdal.dll

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________

Load grid: C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\803de9bfab354f96b12953f544f5bffd\\ASPECT.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

C:\\OSGeo4W\\bin>saga_cmd io_gdal 1 -GRIDS

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\fcb8ea25d228494c978b097161a6676b\\CURV.tif.sgrd" -FORMAT 4 -TYPE 0 -FILE

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\fcb8ea25d228494c978b097161a6676b\\CURV.tif" 

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

_____________________________________

_____________________________________

library path: C:\\OSGeo4W\\apps\\saga\\modules\\io_gdal.dll

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________
Load grid: C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\fcb8ea25d228494c978b097161a6676b\\CURV.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

C:\\OSGeo4W\\bin>saga_cmd io_gdal 1 -GRIDS

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3cb48575f34a4181b732f5465d423758\\HCURV.tif.sgrd" -FORMAT 4 -TYPE 0 -FILE

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3cb48575f34a4181b732f5465d423758\\HCURV.tif" 

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

_____________________________________

_____________________________________

library path: C:\\OSGeo4W\\apps\\saga\\modules\\io_gdal.dll

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________

Load grid: C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3cb48575f34a4181b732f5465d423758\\HCURV.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

C:\\OSGeo4W\\bin>saga_cmd io_gdal 1 -GRIDS

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3859bb38edd946879b287f537a14f6bd\\VCURV.tif.sgrd" -FORMAT 4 -TYPE 0 -FILE

"C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3859bb38edd946879b287f537a14f6bd\\VCURV.tif" 

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\apps\\saga\\dll\\gdal_MrSID.dll

127: Impossibile trovare la procedura specificata.

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##
_____________________________________

_____________________________________

library path: C:\\OSGeo4W\\apps\\saga\\modules\\io_gdal.dll

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________

Load grid: C:\\Users\\skampus\\AppData\\Local\\Temp\\processing\\3859bb38edd946879b287f537a14f6bd\\VCURV.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

C:\\OSGeo4W\\bin>exit

Converting outputs

Loading resulting layers

Algorithm Slope, aspect, curvature finished

#5 - 2015-03-15 06:24 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

stefano campus wrote:

hi, it seems that same error exists in QGIS 2.8.1 intsalled via osgeo4w

it works fine here on a clean install. What SAGA version are you using?

#6 - 2015-03-15 08:05 AM - stefano campus

i use saga 2.1.2-1 as proposed by osgeo4w which is present in C:\\OSGeo4W\\apps\\saga (correctly configured as system says) 

saga 2.0.8 compatibility check is not enabled.

thnak you for your attention, giovanni

s.

#7 - 2015-03-15 11:21 AM - Giovanni Manghi

saga 2.0.8 compatibility check is not enabled.

the fact you see this option suggest me that you have an old version of Processig masking the latest one shipped with qgis 2.8, because it does not exist

anymore.

Check inside .qgis/python/plugins
if you have a "processing" folder you must delete it. Then restart qgis.

Cheers.

#8 - 2015-03-15 01:04 PM - stefano campus

- Status changed from Feedback to Closed

Thank you giovanni, there was still that folder.

now all works fine.

thank a lot, ciao

s.
